# sb16_csp is added conditionally!
%define MODULES_NOCSPCTL as10k1 echomixer envy24control hdajackretask hdajacksensetest hda-verb hdspconf hdsploader hdspmixer ld10k1 mixartloader pcxhrloader rmedigicontrol seq/sbiload sscape_ctl us428control usx2yloader vxloader
# qlo10k1 needs l10k1 and thus this package will only bootstrap if it's installed first

%ifarch ppc %mips %arm
%define MODULES %{MODULES_NOCSPCTL}
%else
%define MODULES %{MODULES_NOCSPCTL} sb16_csp
%endif

%define tool_beta 0
%define ld10k1_major 0

%define ld10k1_name lo10k1
%define ld10k1_libname_orig lib%{ld10k1_name}
%define ld10k1_libname %mklibname %{ld10k1_name}_ %{ld10k1_major}
%define ld10k1_devname %mklibname %{ld10k1_name} -d

%if %tool_beta
%define fname	%{name}-%{version}%{tool_beta}
%else
%define fname	%{name}-%{version}
%endif

%define rel 1

Name:		alsa-tools
Version:	1.2.14
%if %{tool_beta}
Release:	%mkrel -c %{tool_beta} %{rel}
%else
Release:	%mkrel %{rel}
%endif
Summary:	Advanced Linux Sound Architecture (ALSA) tools
License:	GPLv2+
Group:		Sound/Utilities
URL:		https://alsa-project.org/
Source0:	ftp://ftp.alsa-project.org/pub/tools/%{fname}.tar.bz2
Source1:	90-alsa-tools-firmware.rules
Patch1:		alsa-tools-1.0.18-sscape_ctl.c.patch
# From Debian: adapt to udev instead of hotplug - AdamW 2008/03
Patch2:		alsa-tools-1.0.16-usx2yloader-udev.patch
# (tv) fix underlinking:
Patch3:		alsa-tools-1.0.17rc1-fix-link.patch
BuildRequires:	pkgconfig(alsa) >= %{version}
BuildRequires:	fltk-devel
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	automake
BuildRequires:	desktop-file-utils

Provides:	envy24control = %{version}-%{release}
Provides:	hdspconf = %{version}-%{release}
Provides:	hdspmixer = %{version}-%{release}
Provides:	rmedigicontrol = %{version}-%{release}
Provides:	sb16_csp = %{version}-%{release}
Provides:	sbiload = %{version}-%{release}
Provides:	sscape_ctl = %{version}-%{release}
Provides:	us428control = %{version}-%{release}
Provides:	as10k1 = %{version}-%{release}
Provides:	echomixer = %{version}-%{release}

%description
Advanced Linux Sound Architecture (ALSA) utils. Modularized 
architecture with support for a large range of ISA and PCI cards.
Fully compatible with OSS/Lite (kernel sound drivers), but 
contains many enhanced features.

This source rpm package provides several sub packages:
* as10k1 - AS10k1 Assembler version A0.99
* cspctl - Sound Blaster 16 ASP/CSP control program
* envy24control - Control tool for Envy24 (ice1712) based sound cards
* hdspmixer - Mixer for the RME Hammerfall DSP cards
* rmedigicontrol - Control panel for RME Hammerfall cards
* sbiload - An OPL2/3 FM instrument loader for ALSA sequencer
* sscape_ctl - ALSA SoundScape control utility
* us428control - Control tool for Tascam 428

%package	firmware
Summary:	ALSA tools for uploading firmware to some sound cards
License:	GPLv1
Group:		System/Kernel and hardware
Requires:	alsa-firmware >= 1.0.25
Provides:	hdsploader = %{version}-%{release}
Provides:	mixartloader = %{version}-%{release}
Provides:	pcxhrloader = %{version}-%{release}
Provides:	usx2yloader = %{version}-%{release}
Provides:	vxloader = %{version}-%{release}

%description	firmware
This package contains tools for flashing firmware into certain sound cards.
The following tools are available:

* hdsploader   - for RME Hammerfall DSP cards
* mixartloader - for Digigram miXart sound cards
* pcxhrloader  - for Digigram PCXHR sound cards
* usx2yloader  - second phase firmware loader for Tascam USX2Y USB sound cards
* vxloader     - for Digigram VX sound cards

%package -n	ld10k1
Summary:	AS10k1 Assembler version A0.99
License:	GPLv1
Group:		System/Kernel and hardware

%description -n	ld10k1
This is patch loader for EMU10K1 (EMU10K2) for ALSA.
This disables AC3 passthrough on SB Live.

There are two parts:
Server - ld10k1 - running as service - it is storing driver state - it must run
under root or by setuided
Client - lo10k1 - controls server and dump loader dl10k1 - loads dumps
previously created with lo10k1 & ld10k1.

ld10k1 will clear card DSP program and you will hear nothing.
You must load some patches to route sound from inputs to outputs (use
audigy_init script for audigy 1, 2 or init_live for sb live).
After loading patch check and set oss mixer emulation through proc file
(/proc/asound/card/oss_mixer)

In directory setup are some patches which I use on my Audigy for testing.
With this you will have exactly same mixer as with original driver (+headphone
control, not tested AudigyDrive inputs and outputs, AC3 passthrough).
Use as10k1 compiler from alsa-tools package to compile patches.

%package -n	%{ld10k1_libname}
Summary:	Ld10k1_ library
Group:		System/Libraries
Provides:	%{ld10k1_libname_orig} = %{version}-%{release}

%description -n	%{ld10k1_libname}
This is the library of ld10k1.

%package -n	%{ld10k1_devname}
Summary:	Development files for l10k1
Group:		Development/C
Requires:	%{ld10k1_libname} = %{version}
Provides:	%{ld10k1_libname_orig}-devel = %{version}-%{release}

%description -n	%{ld10k1_devname}
This package contains files needed in order to develop an application
that made use of the ld10k1 library.

%prep
%autosetup -p1 -n %{fname}

pushd envy24control
touch NEWS ChangeLog
popd

# prepare documentations
for f in as10k1 echomixer envy24control hdspconf hdspmixer rmedigicontrol sb16_csp hdsploader usx2yloader vxloader; do
   if [[ -s "${f}"/README ]]
   then
      cp "${f}"/README "${f}/README-${f}"
   fi
   if [[ -s "${f}"/COPYING ]]
   then
      cp "${f}"/COPYING "${f}/COPYING-${f}"
   fi
      if [[ -s "${f}"/AUTHORS ]]
   then
      cp "${f}"/AUTHORS "${f}/AUTHORS-${f}"
   fi
done
cp seq/sbiload/COPYING seq/sbiload/COPYING-sbiload
cp seq/sbiload/README seq/sbiload/README-sbiload

%build
for i in %{MODULES}; do
pushd ${i}
grep -q AM_CONFIG_HEADER configure.in && sed -i s/AM_CONFIG_HEADER/AC_CONFIG_HEADER/ configure.in
# (tv) force it not to lookup aclocal-1.9 & co
autoreconf -fi
%configure
%make_build
popd
done

%install

for i in %{MODULES}; do
pushd ${i}
  %make_install
popd
done

rm -f %{buildroot}%{_libdir}/*.la

# install menu entries


mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-echomixer.desktop << EOF
[Desktop Entry]
Name=Echo mixer
Comment=Control tool for Echoaudio sound cards
Exec=%{_bindir}/echomixer
Icon=sound_section
Terminal=false
Type=Application
Categories=AudioVideo;Audio;Mixer;
EOF


mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-envy24control.desktop << EOF
[Desktop Entry]
Name=Envy24control
Comment=Control tool for Envy24 (ice1712) based sound cards
Exec=%{_bindir}/envy24control
Icon=sound_section
Terminal=false
Type=Application
Categories=AudioVideo;Audio;Mixer;
EOF


mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-rmedigicontrol.desktop << EOF
[Desktop Entry]
Name=RME Digicontrol
Comment=Control panel for RME Hammerfall
Exec=%{_bindir}/rmedigicontrol
Icon=sound_section
Terminal=false
Type=Application
Categories=AudioVideo;Audio;Mixer;
EOF

desktop-file-install \
	--vendor="" \
	--remove-key="Encoding" \
	--remove-key="FilePattern" \
	--remove-category="Application" \
	--dir=%{buildroot}%{_datadir}/applications/ %{buildroot}%{_datadir}/applications/*


# Fix udev dir
mkdir -p %{buildroot}%{_prefix}/lib/
mv %{buildroot}/lib/udev %{buildroot}%{_prefix}/lib/

# udev rules file for usx2yloader - AdamW 2008/03
mkdir -p %{buildroot}%{_udevrulesdir}
install -p -m 0644 %{SOURCE1} %{buildroot}%{_udevrulesdir}

%files
%doc as10k1/README-as10k1 as10k1/COPYING-as10k1 as10k1/examples
%doc echomixer/{AUTHORS-echomixer,COPYING-echomixer,README-echomixer}
%doc envy24control/{AUTHORS-envy24control,COPYING-envy24control,README-envy24control}
%doc hdspconf/COPYING-hdspconf hdspconf/README-hdspconf
%doc hdspmixer/AUTHORS-hdspmixer hdspmixer/COPYING-hdspmixer hdspmixer/README-hdspmixer
%doc rmedigicontrol/COPYING-rmedigicontrol rmedigicontrol/README-rmedigicontrol
%doc seq/sbiload/COPYING-sbiload seq/sbiload/README-sbiload
%{_bindir}/as10k1
%{_bindir}/echomixer
%{_bindir}/envy24control
%{_bindir}/hda-verb
%{_bindir}/hdajackretask
%{_bindir}/hdajacksensetest
%{_bindir}/hdspconf
%{_bindir}/hdspmixer
%{_bindir}/rmedigicontrol
%{_bindir}/sbiload
%{_bindir}/sscape_ctl
%{_bindir}/us428control
%{_datadir}/applications/echomixer.desktop
%{_datadir}/applications/envy24control.desktop
%{_datadir}/applications/hdajackretask.desktop
%{_datadir}/applications/hdspmixer.desktop
%{_datadir}/applications/hdspconf.desktop
%{_datadir}/applications/mageia-echomixer.desktop
%{_datadir}/applications/mageia-envy24control.desktop
%{_datadir}/applications/mageia-rmedigicontrol.desktop
%{_datadir}/sounds/opl3/
%{_mandir}/man1/envy24control.1*
%{_iconsdir}/hicolor/*/apps/*.png

%ifnarch ppc %mips %arm
%doc sb16_csp/COPYING-sb16_csp sb16_csp/README-sb16_csp
%{_bindir}/cspctl
%{_mandir}/man1/cspctl.*
%endif

%files firmware
%doc hdsploader/{AUTHORS-hdsploader,COPYING-hdsploader,README-hdsploader}
%doc usx2yloader/README-usx2yloader
%doc vxloader/README-vxloader
%{_udevrulesdir}/90-alsa-tools-firmware.rules
%{_prefix}/lib/udev/tascam_fpga
%{_prefix}/lib/udev/tascam_fw
%{_bindir}/hdsploader
%{_bindir}/mixartloader
%{_bindir}/pcxhrloader
%{_bindir}/usx2yloader
%{_bindir}/vxloader

%files -n ld10k1
%doc ld10k1/README ld10k1/COPYING
%{_bindir}/lo10k1
%{_bindir}/init_audigy
%{_bindir}/init_audigy_eq10
%{_bindir}/init_live
%{_datadir}/ld10k1
%{_sbindir}/ld10k1
%{_sbindir}/dl10k1
%{_sbindir}/ld10k1d

%files -n %{ld10k1_libname}
%{_libdir}/lib%{ld10k1_name}.so.%{ld10k1_major}{,.*}

%files -n %{ld10k1_devname}
%{_includedir}/lo10k1/
%{_datadir}/aclocal/ld10k1.m4
%{_libdir}/lib%{ld10k1_name}.so


%changelog
* Mon Apr 14 2025 daviddavid <daviddavid> 1.2.14-1.mga10
+ Revision: 2175622
- new version: 1.2.14

* Sat Feb 10 2024 daviddavid <daviddavid> 1.2.11-1.mga10
+ Revision: 2040036
- new version: 1.2.11
- fix doc files listed twice

* Thu Mar 31 2022 umeabot <umeabot> 1.2.5-2.mga9
+ Revision: 1836964
- Mageia 9 Mass Rebuild

* Tue Jun 01 2021 luigiwalser <luigiwalser> 1.2.5-1.mga9
+ Revision: 1729062
- 1.2.5

* Fri Feb 21 2020 luigiwalser <luigiwalser> 1.2.2-1.mga8
+ Revision: 1547725
- remove upstream patch 4
- 1.2.2
+ daviddavid <daviddavid>
- fix hdspmixer build error with the latest alsa-lib
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Wed Oct 17 2018 luigiwalser <luigiwalser> 1.1.7-1.mga7
+ Revision: 1321845
- 1.1.7

* Wed Oct 03 2018 umeabot <umeabot> 1.1.6-2.mga7
+ Revision: 1316072
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Sun Apr 08 2018 luigiwalser <luigiwalser> 1.1.6-1.mga7
+ Revision: 1216101
- 1.1.6

* Thu Nov 23 2017 luigiwalser <luigiwalser> 1.1.5-1.mga7
+ Revision: 1179005
- 1.1.5

* Thu Dec 22 2016 luigiwalser <luigiwalser> 1.1.3-1.mga6
+ Revision: 1076507
- 1.1.3
+ tv <tv>
- new release

* Sat Mar 05 2016 blino <blino> 1.1.0-2.mga6
+ Revision: 985874
- rebuild for armv5tl (also missed in first Mga6 mass rebuild)
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild
+ tv <tv>
- switch to pkgconfig() BRs

* Mon Nov 09 2015 tv <tv> 1.1.0-1.mga6
+ Revision: 899932
- new release

* Sun Aug 16 2015 fwang <fwang> 1.0.29-3.mga6
+ Revision: 865064
- rebuild for new fltk

* Mon Aug 10 2015 zezinho <zezinho> 1.0.29-2.mga6
+ Revision: 862382
- new hdajacksensetest tool added in 1.0.29

* Tue Jun 23 2015 tv <tv> 1.0.29-1.mga6
+ Revision: 840253
- new release
- new release
- simplify
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Wed Jun 18 2014 tv <tv> 1.0.28-1.mga5
+ Revision: 637903
- drop merged patch
- new release

* Wed Apr 16 2014 colin <colin> 1.0.27-3.mga5
+ Revision: 615248
- Enable the hda-verb and hdajackretask tools
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sun Jul 28 2013 fwang <fwang> 1.0.27-2.mga4
+ Revision: 459576
- fix libname
- cleanup spec

* Fri May 24 2013 tv <tv> 1.0.27-1.mga4
+ Revision: 426592
- adjust file list
- new release

* Tue Jan 15 2013 colin <colin> 1.0.26.1-2.mga3
+ Revision: 388302
- Fix udev rules dir (+paths for /usr)
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 luigiwalser <luigiwalser> 1.0.26.1-1.mga3
+ Revision: 340458
- 1.0.26.1

* Sun Dec 30 2012 pterjan <pterjan> 1.0.26-4.mga3
+ Revision: 336442
- Fix build with automake 1.13

* Wed Nov 21 2012 barjac <barjac> 1.0.26-3.mga3
+ Revision: 319993
- Changed group(s) in line with new policy
- fixed unversioned explicit provides/obsoletes
- corrected invalid license
- some spec cleaning

* Thu Sep 13 2012 fwang <fwang> 1.0.26-2.mga3
+ Revision: 293623
- there is no latest alsa-fireware now

* Wed Sep 12 2012 fwang <fwang> 1.0.26-1.mga3
+ Revision: 292480
- new version 1.0.26

* Wed Jan 25 2012 colin <colin> 1.0.25-1.mga2
+ Revision: 201525
- New version: 1.0.25
- Dropped gtk fix that no longer applies and doesn't seem needed.

* Mon Jul 11 2011 fwang <fwang> 1.0.24.1-4.mga2
+ Revision: 122090
- rebuild for new fltk

* Fri Mar 11 2011 ahmad <ahmad> 1.0.24.1-3.mga1
+ Revision: 68253
- obsolete and provide echomixer

* Thu Mar 10 2011 ahmad <ahmad> 1.0.24.1-2.mga1
+ Revision: 67270
- use 90-alsa-tools-firmware.rules (from Fedora), it has the new udev rules
  syntax, and we can easily sync it from Fedora if the syntax changes again

* Tue Mar 08 2011 ahmad <ahmad> 1.0.24.1-1.mga1
+ Revision: 66355
- adapt the main package description to the firmware split
- update to 1.0.24.1
- split the firmware in a separate src.rpm (alsa-firmware)
- add the appropriate obsoletes and provides to accomodate the split
- put loaders in a new subpackage alsa-tools-firmware
- merge all the subpackages in the main package (the packages are very small,
  all in all they're ~1.2MB)
- leave ld10k1 in a separate sub-package as it has a lib and devel packages
- fix the lincese

* Sun Jan 09 2011 ahmad <ahmad> 1.0.23-3.mga1
+ Revision: 1640
- rename .desktop files to mageia
- clean spec of old distros macros
- imported package alsa-tools


* Mon Jan 03 2011 Oden Eriksson <oeriksson@mandriva.com> 1.0.23-3mdv2011.0
+ Revision: 627712
- don't force the usage of automake1.7

* Mon Nov 29 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.23-2mdv2011.0
+ Revision: 603175
- rebuild

* Sat Apr 17 2010 Colin Guthrie <cguthrie@mandriva.org> 1.0.23-1mdv2010.1
+ Revision: 535805
- New version: 1.0.23

* Mon Jan 18 2010 Jérôme Brenier <incubusss@mandriva.org> 1.0.22-2mdv2010.1
+ Revision: 493170
- rebuild for new fltk

* Mon Dec 21 2009 Colin Guthrie <cguthrie@mandriva.org> 1.0.22-1mdv2010.1
+ Revision: 480507
- New version: 1.0.22

* Fri Sep 25 2009 Olivier Blin <oblin@mandriva.com> 1.0.21-4mdv2010.0
+ Revision: 448769
- disable sb16_csp on MIPS and ARM (from Arnaud Patard)

* Mon Aug 31 2009 Thierry Vignaud <tv@mandriva.org> 1.0.21-3mdv2010.0
+ Revision: 422979
- new release

* Mon May 11 2009 Thierry Vignaud <tv@mandriva.org> 1.0.20-3mdv2010.0
+ Revision: 374787
- new release

* Thu Apr 23 2009 Thierry Vignaud <tv@mandriva.org> 1.0.19-2mdv2009.1
+ Revision: 368901
- rebuild for missing firmwares on 32bits

* Sat Mar 21 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.0.19-1mdv2009.1
+ Revision: 359681
- Fixed alsa-tools 1.0.19 build errors in current cooker.

  + Thierry Vignaud <tv@mandriva.org>
    - new version (we really should split firmware out...)

* Sun Dec 14 2008 Funda Wang <fwang@mandriva.org> 1.0.18-3mdv2009.1
+ Revision: 314114
- rediff patch0

* Wed Nov 12 2008 Thierry Vignaud <tv@mandriva.org> 1.0.18-2mdv2009.1
+ Revision: 302464
- patch 2: rediff
- new tools version (we really should split firmware out...)

* Wed Jul 16 2008 Colin Guthrie <cguthrie@mandriva.org> 1.0.17-1mdv2009.0
+ Revision: 236497
- New version: 1.0.17

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 1.0.17-0.rc2.2mdv2009.0
+ Revision: 219557
- new release

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Jun 10 2008 Thierry Vignaud <tv@mandriva.org> 1.0.17-0.rc1.1mdv2009.0
+ Revision: 217380
- patch 3: fix underlinking
- new release

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Mar 27 2008 Thierry Vignaud <tv@mandriva.org> 1.0.16-3mdv2008.1
+ Revision: 190693
- make sb16_csp obsoletes/provides cspctl (#39408)

* Mon Mar 10 2008 Adam Williamson <awilliamson@mandriva.org> 1.0.16-2mdv2008.1
+ Revision: 183652
- create udev rules file for usx2yloader in %%install
- correct menu categories
- usx2yloader requires fxload
- add usx2yloader-udev.patch from Debian: fixes usx2yloader to use udev not hotplug

* Wed Feb 06 2008 Thierry Vignaud <tv@mandriva.org> 1.0.16-1mdv2008.1
+ Revision: 163084
- new release

* Tue Jan 22 2008 Thierry Vignaud <tv@mandriva.org> 1.0.16-0.rc1.2mdv2008.1
+ Revision: 155984
- new release
- drop old menu
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Oct 16 2007 Thierry Vignaud <tv@mandriva.org> 1.0.15-2mdv2008.1
+ Revision: 99107
- fix build
- new release
- fix summary-ended-with-dot

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 1.0.14-2mdv2008.0
+ Revision: 36130
- rebuild with correct optflags

  + Thierry Vignaud <tv@mandriva.org>
    - new release

* Thu May 03 2007 Thierry Vignaud <tv@mandriva.org> 1.0.14-0.rc4.2mdv2008.0
+ Revision: 21575
- new release


* Thu Mar 08 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0.14-0.rc3.1mdv2007.1
+ Revision: 138564
- new release

* Fri Dec 22 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.0.13-2mdv2007.1
+ Revision: 101486
- disable sb16_csp for ppc (again)

* Wed Oct 25 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.13-1mdv2007.0
+ Revision: 72291
- fix build (add new firmware for EMU1010
- Import alsa-tools

* Tue Oct 24 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.13-1mdv2007.1
- new release

* Fri Sep 15 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.12-2mdv2007.0
- fix update (fcrozat)

* Fri Aug 25 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.12-1mdv2007.0
- new release

* Sat Aug 05 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.12-0.rc2.1mdv2007.0
- new release
- fix typo in package name

* Tue Jul 25 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.12-0.rc1.1mdv2007.0
- new release
- switch to XDG menus

* Fri May 05 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.11-3mdk
- patch 1: fix m4 macro when building with gtk+2-devel and w/o gtk+-devel

* Thu May 04 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.11-2mdk
- kill obsolete comment
- drop gtk-devel buildrequire (everything is now linked with gtk+-2)

* Thu May 04 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.11-1mdk
- new release
- drop patch 2 (merged upstream)
- drop patch 3 (better fix upstream)

* Wed Nov 16 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.10-1mdk
- new release
- a few rpmlint fixes

* Fri Nov 04 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.10-0.rc2.1mdk
- new release

* Tue Oct 04 2005 Olivier Blin <oblin@mandriva.com> 1.0.9-2mdk
- move to new /lib/firmware directory

* Sat May 28 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-1mdk
- new release

* Tue May 24 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.rc4.2mdk
- add hdspconf, ld10k1 & sb16_csp subpackages

* Tue May 24 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.rc4.1mdk
- new release

* Tue May 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.rc3.1mdk
- new release
- drop now uneeded patch 5
- patch 3: fix compiling with gcc-4.0

* Sat Apr 16 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9rc2-0.rc2.1mdk
- new release

* Thu Jan 13 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-1mdk
- new release

* Tue Jan 11 2005 Guillaume Rousse <guillomovitch@mandrake.org> 1.0.8-0.rc2.2mdk
- fix lib64 build

* Wed Jan 05 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-0.rc2.1mdk
- new release

* Thu Dec 30 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.0.8-0.rc1.2mdk
- if the module list is generated somehow, why is it in the specfile?

* Wed Dec 22 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-0.rc1.1mdk
- new release

* Fri Nov 19 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.7-1mdk
- new release

* Tue Aug 17 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.6-1mdk
- new release
- replace SOURCE 2 bu patch 2 so that we do not lost usefull checks in the
  future

* Thu Aug 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.6-0.rc1.1mdk
- new release

* Sun Jun 13 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.0.5-2mdk
- fix build with gcc 3.4
- add BuildRequires: automake1.7
- do not build cspctl on ppc

* Sat May 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.5-1mdk
- new release

* Tue Apr 06 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.4-1mdk
- new release

* Fri Apr 02 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.4-0.rc1_1mdk
- new release

